Cookies are disabled. This site requires cookies turned on to run properly. Please enable cookies and reload this page.

Best noise reduction
for digital video
Logo

Demo plug-in

Download the Demo plug-in to try Neat Video for free. No obligations. Or download your purchased product.

Version 5.4.5

July 12, 2021History of changesLicense agreement
Demo plug-in
13 MB
Supported applications
  • After Effects
    • 2021 / 2020 / 2019
    • CC 2018 / 2017 / 2015 / 2014 / CC
    • CS6 / CS5.5 / CS5
System requirements

64-bit Windows 7 or newer

Demo plug-in
12 MB
Supported applications
  • After Effects
    • 2021 / 2020 / 2019
    • CC 2018 / 2017 / 2015 / 2014 / CC
    • CS6 / CS5.5 / CS5
System requirements
  • Intel Mac
  • MacOS 10.13.6 or newer

Version 5.4.6

July 21, 2021History of changesLicense agreement
Demo plug-in
13 MB
Standard Version
  • Uses older Premiere API (see known issues)
  • Can be used together with the Second Revision plug-in and will not interfere with it
Supported applications
  • Premiere Pro
    • 2021 / 2020 / 2019
    • CC 2018 / 2017 / 2015 / 2014 / CC
    • CS6 / CS5.5 / CS5
  • Premiere Elements
    • 2021 / 2020 / 2019 / 2018
    • 15 / 14 / ... 11 / 10

System requirements

64-bit Windows 7 or newer

Known issues

See details.

Second Revision (recommended)
  • Uses newer API to avoid bugs of Premiere
  • Can be used together with the Standard Version plug-in and will not interfere with it
Supported applications
  • Premiere Pro
    • 2021 / 2020 / 2019
    • CC 2018 / 2017 / 2015 / 2014 / CC
    • CS6
  • Premiere Elements
    • 2021 / 2020 / 2019 / 2018
    • 15 / 14 / 13 / 12

System requirements

64-bit Windows 7 or newer

Known issues

See details.

Demo plug-in
22 MB
Standard Version
  • Uses older Premiere API (see known issues)
  • Can be used together with the Second Revision plug-in and will not interfere with it
Supported applications
  • Premiere Pro
    • 2021 / 2020 / 2019
    • CC 2018 / 2017 / 2015 / 2014 / CC
    • CS6 / CS5.5 / CS5
  • Premiere Elements
    • 2021 / 2020 / 2019 / 2018
    • 15 / 14 / 13 / 12 / 11

System requirements
  • Intel Mac running MacOS 10.13.6 or newer
  • Apple Silicon Mac running MacOS 11.0 or newer
Known issues

See details.

Second Revision (recommended)
  • Uses newer API to avoid bugs of Premiere
  • Can be used together with the Standard Version plug-in and will not interfere with it
Supported applications
  • Premiere Pro
    • 2021 / 2020 / 2019
    • CC 2018 / 2017 / 2015 / 2014 / CC
    • CS6
  • Premiere Elements
    • 2021 / 2020 / 2019 / 2018
    • 15 / 14 / 13 / 12

System requirements
  • Intel Mac running MacOS 10.13.6 or newer
  • Apple Silicon Mac running MacOS 11.0 or newer
Known issues

See details.

Version 5.4.5

July 12, 2021History of changesLicense agreement
Demo plug-in
12 MB
Standard Version
  • For Intel Macs only
  • Can be used together with the Second Revision plug-in and will not interfere with it
System requirements
  • Intel Mac
  • MacOS 10.13.6 or newer
Supported applications
  • Final Cut Pro X (10.0.4 or newer)
  • Motion 5 (5.0 or newer)
Known issues

See details.

Second Revision (beta)
  • For Apple Silicon and Intel Macs
  • Can be used together with the Standard Version plug-in and will not interfere with it
System requirements
  • Intel Mac, MacOS 10.15.6 or newer
  • Apple Silicon Mac, MacOS 11.0 or newer
Supported applications
  • Final Cut Pro X (10.5.2 or newer)
  • Motion 5 (5.5.1 or newer)
Known issues

See details.

Version 5.4.6

July 21, 2021History of changesLicense agreement
Demo plug-in
13 MB
Supported applications
  • DaVinci Resolve
    17 / 16 / 15 / 14 / 12.5 / 12 / 11 / 10
    (known issues)
System requirements

64-bit Windows 7 or newer

Demo plug-in
21 MB
Supported applications
  • DaVinci Resolve
    17 / 16 / 15 / 14 / 12.5 / 12 / 11 / 10
    (known issues)
System requirements
  • Intel Mac running MacOS 10.13.6 or newer
  • Apple Silicon Mac running MacOS 11.0 or newer
Demo plug-in
17 MB
Supported applications
  • DaVinci Resolve
    17 / 16 / 15 / 14 / 12.5 / 12 / 11 / 10
    (known issues)
System requirements

Linux types: Ubuntu, CentOS, Fedora; 64-bit

Nuke | Fusion | Scratch | Hitfilm | Mamba | Natron | Flame | Baselight | DustBuster

Version 5.4.5

July 12, 2021History of changesLicense agreement
Demo plug-in
13 MB
Supported applications
  • Foundry Nuke 13 / 12 / ... 6 / 5.1+
    (commercial version only)
  • Foundry Nuke Indie 13 / 12.2v3+
  • Blackmagic Fusion Studio 17 / 16 / 9 / 8 / 7.7+
  • Eyeon Fusion 7 / 6 / 5.3+
  • Assimilate Scratch 9 / 8 / 7 / 6.1+
  • FXHOME HitFilm Pro 2021 / 16 / 15 / ... 7 / 6 / 2017 / 4
  • SGO Mistika Boutique 10 / 8.8+
  • SGO Mistika 8.2+ / Mamba 2
  • Quantel Rio 4 / Pablo Rio 2.1.4+
  • Natron 2.0.5+
  • HS-ART DIAMANT-Film Restoration & DustBuster+ 13 / 12 / ... 5 / 4.5+
  • BorisFX Silhouette 2020.5.5+
  • IDT Vision Motion Studio 2.12+

Note: only 64-bit versions of host applications are supported.

System requirements

64-bit Windows 7 or newer

Demo plug-in
21 MB
Supported applications
  • Foundry Nuke 13 / 12 / ... 9 / 8 / 6.1+ / 5.1+
    (commercial version only)
  • Foundry Nuke Indie 13 / 12.2v3+
  • Blackmagic Fusion Studio 17 / 16 / 9 / 8
  • Assimilate Scratch 9 / 8 / 7 / 6.1+
  • FXHOME HitFilm Pro 2021 / 16 / 15 / ... 7 / 6 / 2017 / 4
  • SGO Mistika Boutique 10 / 8.8+
  • SGO Mistika 8.2+ / Mamba 2
  • Autodesk Flame Family 2022 / 2021 / 2020 / 2019.2
    (Flame, Flame Assist, Flare)
  • FilmLight Baselight 5.1+
  • Natron 2.0.5+
  • BorisFX Silhouette 2020.5.5+
  • HS-ART DustBuster+
    13 / 12.5 / 11 / 10.6+ / 8 / 7 / 6 / 5 / 4.5+

Note: only 64-bit versions of host applications are supported.

System requirements
  • Intel Mac running MacOS 10.13.6 or newer
  • Apple Silicon Mac running MacOS 11.0 or newer
Demo plug-in
17 MB
Supported applications
  • Foundry Nuke 13 / 12 / ... 6 / 5.1+
    (commercial version only)
  • Foundry Nuke Indie 13 / 12.2v3+
  • Blackmagic Fusion Studio 17 / 16 / 9 / 8.2+
  • SGO Mistika Ultima 10 / 8.8+
  • SGO Mistika 8.2+ / Mamba 2
  • Autodesk Flame Family 2022 / 2021 / 2020 / 2019.2
    (Flame, Flame Assist, Flare, Burn)
  • FilmLight Baselight 5.1+
  • BorisFX Silhouette 2020.5.5+
  • Natron 2.0.5+

Note: only 64-bit versions of host applications are supported.

System requirements

Linux types: Ubuntu, CentOS, Fedora; 64-bit

Version 5.4.5

July 12, 2021History of changesLicense agreement
Demo plug-in
13 MB
Supported applications
  • Media Composer
    2021 / 2020 / 2019 / 2018 / 8 / 7 / 6.5 / 6
    (commercial version only)
  • Symphony 6.5 / 6
  • News Cutter 11 / 10.5 / 10
  • Avid DS 11 / 10.5
System requirements

64-bit Windows 7 or newer

Demo plug-in
12 MB
Supported applications
  • Media Composer
    2021 / 2020 / 2019 / 2018 / 8 / 7 / 6.5 / 6
    (commercial version only)
  • Symphony 6.5 / 6
System requirements
  • Intel Mac
  • MacOS 10.13.6 or newer

Version 5.4.5

July 12, 2021History of changesLicense agreement
Demo plug-in
13 MB
Supported applications
  • Magix Vegas Pro 18 / 17 / 16 / 15 / 14 / 13
  • Magix Vegas Movie Studio (Platinum/Suite)
    17 / 16 / 15 / 14 / 13
  • Sony Vegas Pro 13 / 12 / 11 / 10
  • Sony Vegas Movie Studio 13 / 12 / 11

Note: only 64-bit versions of host applications are supported.

System requirements

64-bit Windows 7 or newer

Version 5.4.5

July 12, 2021History of changesLicense agreement
Demo plug-in
13 MB
System requirements
  • 64-bit Windows 7 or newer
Supported applications
  • Magix Video Pro
    X (X13 / X12 / X11 / X10 / X9 / X8) / X7 / X6
  • Magix Movie Edit Pro (Video Deluxe)
    2021 / 2020 / 2019 / 2018 / 2017 / 2016 / 2015

Version 5.4.5

July 12, 2021History of changesLicense agreement
Demo plug-in
13 MB
System requirements

    64-bit Windows 7 or newer

Supported applications
  • Edius Pro / Workgroup X / 9 / 8 / 7 (64-bit)

Version 5.4.5

July 12, 2021History of changesLicense agreement
Supported applications

VirtualDub 2 / 1 (64-bit)

System requirements
  • Windows 7 or newer (64-bit)
  • Pentium 4 class machine or better
Supported applications

VirtualDub 2 / 1 (32-bit)

System requirements
  • Windows 7 or newer (32-bit or 64-bit)
  • Pentium 4 class machine or better